Subject: [DMVR] DMVR Forums

From: Ric Johnson <[email-masked]>
Date: Sat, 30 Oct 2004 00:35:48 -0500

Just another quick mention of the new Forum software at the DMVR web site...

It's been a month now since we unveiled our new DMVR Forum area on the 
site. So far 19 members have subscribed and 65 articles have been posted in 
the 20 different discussion areas.

Hopefully this will be a great place to carry on some conversations to get 
us all through the dreary months ahead. If you haven't yet checked out the 
forums all you have to do is click this link to get there: 
http://www.dmvrscca.org/bb.htm . Stop by and read the introductions from 
some of the members already on the forums and see what's been said already 
on a variety of motorsport and related topics. Anyone can stop by to read 
what's posted, but for most of the topics you must complete a brief 
registration to be able to post replies or new topics. And of course there 
is no charge whatsoever to use the forums...

Ric Johnson
DMVR Webmaster and Forum Administrator